# Class yii\helpers\UnsetArrayValue

Inheritance | yii\helpers\UnsetArrayValue
Available since version | 2.0.10
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/helpers/UnsetArrayValue.php

Object that represents the removal of array value while performing yii\helpers\ArrayHelper::merge().

Usage example:

    $array1 = [
        'ids' => [
            1,
        ],
        'validDomains' => [
            'example.com',
            'www.example.com',
        ],
    ];

    $array2 = [
        'ids' => [
            2,
        ],
        'validDomains' => new \yii\helpers\UnsetArrayValue(),
    ];

    $result = \yii\helpers\ArrayHelper::merge($array1, $array2);

The result will be

    [
        'ids' => [
            1,
            2,
        ],
    ]

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__set_state() | Restores class state after using `var_export()`. | yii\helpers\UnsetArrayValue

## Method Details

Hide inherited methods

__set_state() public static method (available since version 2.0.16)

Restores class state after using `var_export()`.

See also https://www.php.net/manual/en/function.var-export.php.

public static yii\helpers\UnsetArrayValue __set_state ( $state )
$state | array |

Source code

                    public static function __set_state($state)
    {
        return new self();
    }